

package gov.va.med.cds.scheduler.persistence;


import java.util.Date;


public class CensusMasterIngest
    extends
        RoutingData
{
    private static final long serialVersionUID = -2418459951754313059L;

    private Long censusMasterId;
    private Date reportStartDt;
    private Date reportEndDt;
    private String vendorName;
    private String vendorFacility;
    private Long segmentsExpectedCount;
    private Long segmentsReceivedCount;
    private String segmentDateTime;
    private String ingestStatus;
    private Date ingestStatusDt;
    private String transformStatus;
    private Date transformStatusDt;
    private Date messageInsertionTime;
    private String senderAddress;
    private Date ingestExpireTime;
    private Date ingestExpiredStatusTime;
    private String ackStatus;
    private Date ackStatusDt;
    private String requestId;


    public Long getCensusMasterId( )
    {
        return censusMasterId;
    }


    public void setCensusMasterId( Long censusMasterId )
    {
        this.censusMasterId = censusMasterId;
    }


    public Date getReportStartDt( )
    {
        return reportStartDt;
    }


    public void setReportStartDt( Date reportStartDt )
    {
        this.reportStartDt = reportStartDt;
    }


    public Date getReportEndDt( )
    {
        return reportEndDt;
    }


    public void setReportEndDt( Date reportEndDt )
    {
        this.reportEndDt = reportEndDt;
    }


    public String getVendorName( )
    {
        return vendorName;
    }


    public void setVendorName( String vendorName )
    {
        this.vendorName = vendorName;
    }


    public String getVendorFacility( )
    {
        return vendorFacility;
    }


    public void setVendorFacility( String vendorFacility )
    {
        this.vendorFacility = vendorFacility;
    }


    public Long getSegmentsExpectedCount( )
    {
        return segmentsExpectedCount;
    }


    public void setSegmentsExpectedCount( Long segmentsExpectedCount )
    {
        this.segmentsExpectedCount = segmentsExpectedCount;
    }


    public Long getSegmentsReceivedCount( )
    {
        return segmentsReceivedCount;
    }


    public void setSegmentsReceivedCount( Long segmentsReceivedCount )
    {
        this.segmentsReceivedCount = segmentsReceivedCount;
    }


    public String getSegmentDateTime( )
    {
        return segmentDateTime;
    }


    public void setSegmentDateTime( String segmentDateTime )
    {
        this.segmentDateTime = segmentDateTime;
    }


    public String getIngestStatus( )
    {
        return ingestStatus;
    }


    public void setIngestStatus( String ingestStatus )
    {
        this.ingestStatus = ingestStatus;
    }


    public Date getIngestStatusDt( )
    {
        return ingestStatusDt;
    }


    public void setIngestStatusDt( Date ingestStatusDt )
    {
        this.ingestStatusDt = ingestStatusDt;
    }


    public String getTransformStatus( )
    {
        return transformStatus;
    }


    public void setTransformStatus( String transformStatus )
    {
        this.transformStatus = transformStatus;
    }


    public Date getTransformStatusDt( )
    {
        return transformStatusDt;
    }


    public void setTransformStatusDt( Date transformStatusDt )
    {
        this.transformStatusDt = transformStatusDt;
    }


    public Date getMessageInsertionTime( )
    {
        return messageInsertionTime;
    }


    public void setMessageInsertionTime( Date messageInsertionTime )
    {
        this.messageInsertionTime = messageInsertionTime;
    }


    public String getSenderAddress( )
    {
        return senderAddress;
    }


    public void setSenderAddress( String senderAddress )
    {
        this.senderAddress = senderAddress;
    }


    public Date getIngestExpireTime( )
    {
        return ingestExpireTime;
    }


    public void setIngestExpireTime( Date ingestExpireTime )
    {
        this.ingestExpireTime = ingestExpireTime;
    }


    public Date getIngestExpiredStatusTime( )
    {
        return ingestExpiredStatusTime;
    }


    public void setIngestExpiredStatusTime( Date ingestExpiredStatusTime )
    {
        this.ingestExpiredStatusTime = ingestExpiredStatusTime;
    }


    public String getAckStatus( )
    {
        return ackStatus;
    }


    public void setAckStatus( String ackStatus )
    {
        this.ackStatus = ackStatus;
    }


    public Date getAckStatusDt( )
    {
        return ackStatusDt;
    }


    public void setAckStatusDt( Date ackStatusDt )
    {
        this.ackStatusDt = ackStatusDt;
    }


    public String getRequestId( )
    {
        return requestId;
    }


    public void setRequestId( String requestId )
    {
        this.requestId = requestId;
    }
}
